| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingDBusTubeConnection Class Reference
Channel proxies

`#include <TelepathyQt/PendingDBusTubeConnection>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- virtual ~PendingDBusTubeConnection ()
- QString address () const
- bool allowsOtherUsers () const

## Detailed Description

A pending operation for accepting or offering a DBus tube

This class represents an asynchronous operation for accepting or offering a DBus tube. Upon completion, the address of the opened tube is returned as a QString.

## Constructor & Destructor Documentation

Tp::PendingDBusTubeConnection::~PendingDBusTubeConnection | ( |  | ) | `[virtual]`

Class destructor

## Member Function Documentation

QString Tp::PendingDBusTubeConnection::address | ( |  | ) | const

When the operation has been completed successfully, returns the address of the opened DBus connection.

Please note this function will return a meaningful value only if the operation has already been completed successfully: in case of failure or non-completion, an empty QString will be returned.

Note:
  If you plan to use QtDBus for the DBus connection, please note you should always use QDBusConnection::connectToPeer(), regardless of the fact this tube is a p2p or a group one. The above function has been introduced in Qt 4.8, previous versions of Qt do not allow the use of DBus Tubes through QtDBus.

Returns:
  The address of the opened DBus connection.

bool Tp::PendingDBusTubeConnection::allowsOtherUsers | ( |  | ) | const

Return whether this tube allows other users more than the current one to connect to the private bus created by the tube.

Note that even if the tube was accepted or offered specifying not to allow other users, this method might still return true if one of the ends did not support such a restriction.

In fact, if one of the ends does not support current user restriction, the tube will be offered regardless, falling back to allowing any connection. If your application requires strictly this condition to be enforced, you should check DBusTubeChannel::supportsRestrictingToCurrentUser before offering the tube, and take action from there.

This function, however, is guaranteed to return the same value of the given allowOtherUsers parameter when accepting or offering a tube if supportsRestrictingToCurrentUser is true.

Returns:
  `true` if any user is allow to connect, `false` otherwise.